iPR iPR - 1 month ago 11
iOS Question

Could not build module 'FBSDKCoreKit' For FacebookSDK 4

I am having issue while updating Facebook SDK 3 to 4

when I add the framework it was added successfully. but when i add header file it's having the error that " Could not build module 'FBSDKCoreKit' ". Don't know the reason.

Error Could not build module 'FBSDKCoreKit'

iPR iPR
Answer

In setting the "Allow Non-modular Includes in Framework modules" setting to YES in Build settings solved the problem for me. but don't know if is there any problem or issue or any side effects of it.

Its Facebook Bug you can check the solution they are providing in this link.

Update 1

Facebook said that they have fixed and will apply solution in next update see this link

Update 2

FaceBook Fixed It in Version Latest version (i.e. 4.1.0) see this link link.